Results 1 to 4 of 4

Thread: [SOLVED] Problems with ZimbraServer code in Subversion repository

  1. #1
    Join Date
    Nov 2007
    Posts
    17
    Rep Power
    8

    Default [SOLVED] Problems with ZimbraServer code in Subversion repository

    Hello,

    I have been trying to check out the Zimbra code from the subversion repository (https://zimbra.svn.sourceforge.net/svnroot/zimbra), because I would like to work on some extensions to the Zimbra code and noticed that I cannot compile the module ZimbraServer.

    I am using Eclipse and Java 1.6. And then I have checked out the projects ZimbraCommon and also ZimbraIM. The first project I could compile inside Eclipse and the second one two with some basic code modifications. Then I checked out also the ZimbraServer project and here I get lots of errors.

    Some of them are pretty obvious to me from the point of view of Java coding, like in class
    Code:
    com.zimbra.cs.imap.ImapLSubOperation
    , where we have the constructor code:

    Code:
    ImapLSubOperation(ImapSession session, OperationContext oc, Mailbox mbox, String pattern, boolean children) {
            super(session, oc, mbox, Requester.IMAP, Requester.IMAP.getPriority(), LOAD);
    
            mPattern = pattern;
            mCredentials = creds;
            mOutputChildInfo = children;
    	}
    The problem with this here is that
    Code:
    creds
    is not declared.

    All in all I get 355 errors, but the library and project dependencies seem to be OK.

    Now my question is: am I doing something completely wrong ? Is this for external developers the wrong way to go - I mean - to access https://zimbra.svn.sourceforge.net/svnroot/zimbra and try to build some extensions on the basis of this code?

    I would appreciate very much any help concerning this, because all in all I find Zimbra a very good product and would like to extend it.

    Kind regards,

    Gil

  2. #2
    dijichi2 is offline OpenSource Builder & Moderator
    Join Date
    Oct 2005
    Posts
    1,176
    Rep Power
    12

    Default

    don't use the sourceforge code, it's ancient. i do wish they would mark it as ancient/notobeused given the frequency of this response.

    download source tarballs from
    http://www.zimbra.com/community/downloads.html

  3. #3
    Join Date
    Nov 2007
    Posts
    17
    Rep Power
    8

    Default Thank you - good to know

    Thank you - good to know

    Regards,

    Gil

  4. #4
    Join Date
    May 2006
    Location
    USA
    Posts
    6,242
    Rep Power
    21

Similar Threads

  1. Postfix problem
    By jimbo in forum Administrators
    Replies: 46
    Last Post: 07-23-2007, 06:24 AM
  2. Reliable Zimbra installation on Debian Etch?
    By holunde in forum Installation
    Replies: 7
    Last Post: 06-21-2007, 01:01 AM
  3. mysql.server is not running
    By Oswald-Kolle in forum Installation
    Replies: 27
    Last Post: 05-01-2007, 09:28 AM
  4. 3.0 to 4.5.3 Upgrade failed (mysql error)
    By dealt in forum Installation
    Replies: 35
    Last Post: 03-19-2007, 11:30 PM
  5. Problems with public Subversion repository
    By dwhite in forum Developers
    Replies: 0
    Last Post: 11-18-2006, 12:25 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •